Page MenuHomeFreeBSD

devel/py-yaml: Rename to py-pyyaml
AcceptedPublic

Authored by dereks_lifeofadishwasher.com on Feb 23 2020, 7:26 AM.

Details

Summary
devel/py-yaml: Rename to py-pyyaml

To match upstream naming [1] move py-yaml to py-pyyaml

[1] https://wiki.freebsd.org/Python/PortsPolicy#Naming

Approved by: koobs (python, maintainer)
MFH: No
Differential_Revision: D23803
Test Plan

Rebuild all updated ports.
~1500 ports need built to test this but it did at least get past poudriere dep. checks.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 40547
Build 37436: arc lint + arc unit

Event Timeline

koobs retitled this revision from devel/py-yaml: move py-yaml to py-pyyaml to devel/py-yaml: Rename to py-pyyaml.Feb 23 2020, 12:53 PM
koobs edited the summary of this revision. (Show Details)

From a technical standpoint this looks good.

From a practical standpoint I wonder if this change is worth the churn. This would mean pkg install py36-yaml wouldn't work anymore? The port name has been around for 17 years, it's not hard to imagine there's tooling and muscle memory built up around it.

This revision is now accepted and ready to land.Mar 3 2020, 9:09 PM

Conversely, there will have and continue to be users that pkg install 'pyyaml' using the name referenced by upstream and in all current and future documentation, and the names used by all packages that depend on it, that dont/cant find it.

pyyaml and python-dateutil are one of the very few outstanding incorrectly named python packages in the tree preventing us from getting to a better place in python port packaging regarding calling things exactly what they're called

devel/Makefile
5321–5322

Re-order this line (alphabetically)

alphabetical order correction for devel/Makefile

This revision now requires review to proceed.Mar 4 2020, 4:25 AM
koobs requested changes to this revision.Jul 7 2021, 2:45 AM
koobs edited the summary of this revision. (Show Details)
koobs added a reviewer: dbaio.
koobs added a subscriber: danilo.

@dereks_lifeofadishwasher.com Can you check if this still applies and update it if necessary? @danilo is current maintainer and can handle resolution

This revision now requires changes to proceed.Jul 7 2021, 2:46 AM

Looks like some ports were removed between then (2/2020) and today (7/2021). Forget the exact method to update the tree at the time however this was used.

  • Move py-yaml.
  • find files with ...yaml at word boundary.
  • Undo some changes that aren't needed (UPDATING, MOVED, vuxml).
  • Add entry to MOVED.
  • By hand update devel/Makefile to be alpha. order.
git mv devel/py-yaml devel/py-pyyaml
git grep -lze '${PYTHON_PKGNAMEPREFIX}yaml[[:>:]]' -e 'py-yaml[[:>:]]' | while read -r -d '' file ; do 
    sed -i "" 's/${PYTHON_PKGNAMEPREFIX}yaml[[:>:]]/${PYTHON_PKGNAMEPREFIX}pyyaml/g;s/py-yaml[[:>:]]/py-pyyaml/g' "$file"
done
git checkout security/vuxml MOVED UPDATING
echo "devel/py-yaml|devel/py-pyyaml|$(date '+%F')|Match upstream (PyPI) name (Python Policy)" >> MOVED
koobs requested changes to this revision.Jul 20 2021, 2:01 AM
koobs edited the summary of this revision. (Show Details)

Thanks you for rebasing/updating this differential Derek. Minor update request (MOVED reason)

MOVED
16466

Minor change request: Match upstream (PyPI) name (Python Policy)

This revision now requires changes to proceed.Jul 20 2021, 2:02 AM
This revision is now accepted and ready to land.Jul 22 2021, 1:47 AM